# expected: 00000000, 00000001, FFFFFFFFFFFFFFFF, 00000008
    .text
_start:
    # Sub equal numbers
    addi x1, x0, (-1)
    addi x2, x0, (-1)
    sub x31, x1, x2

    # Positive result sub
    addi x1, x0, 13
    addi x2, x0, 12
    sub x31, x1, x2

    # Negative result sub
    addi x1, x0, 12
    addi x2, x0, 13
    sub x31, x1, x2

    # Negative result sub
    addi x1, x0, 4
    addi x2, x0, (-4)
    sub x31, x1, x2
